API docs / Chats

API Reference

Chats

List OnlyFans conversations, search chat history, retrieve messages, and manage read status programmatically with the OFManager API.

Chat routes let you list and search conversations, read chat details, and manage read status for an account.

List chats

Retrieve recent chats, ordered by most recent activity.

const [error, chats] = await account.request("GET /chats", {
  query: {
    limit: 20,
    offset: 0,
    order: "recent",
  },
})

if (!error) {
  for (const chat of chats.list) {
    console.log(chat.withUser.name, chat.lastMessage?.text)
  }
}

Search chats

Search through chat history by keyword:

const [error, results] = await account.request(
  "GET /chats/:id/messages/search",
  {
    pathParams: { id: "98765" },
    query: { query: "payment" },
  },
)

Get chat messages

Retrieve messages within a specific chat:

const [error, messages] = await account.request(
  "GET /chats/:id/messages",
  {
    pathParams: { id: "98765" },
    query: { limit: 20, order: "desc" },
  },
)

if (!error) {
  for (const msg of messages.list) {
    console.log(msg.fromUser.name, msg.text)
  }
}

Mark chat as read

const [error] = await account.request(
  "POST /chats/:id/mark-as-read",
  {
    pathParams: { id: "98765" },
  },
)